import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
var _excluded = ["small", "children", "className"];
import classNames from 'classnames';
import * as React from 'react';

var ListItemIcon = function ListItemIcon(_ref) {
  var small = _ref.small,
      children = _ref.children,
      className = _ref.className,
      props = _objectWithoutProperties(_ref, _excluded);

  var iconClass = classNames('sg-list__icon', {
    'sg-list__icon--spacing-right-small': small
  }, className);
  return /*#__PURE__*/React.createElement("div", _extends({}, props, {
    className: iconClass
  }), children);
};

export default ListItemIcon;